<?php
    if(@$_SESSION['LEVEL'] < 100)
    {
        $HTML = new HTML();
        $HTML->setHTMLTitle("Kein Zugriff");
        $HTML->importHTML("style/default/dashboard.html");
        $HTML->ReplaceLayoutInhalt("%%USERNAME%%", $_SESSION['DISPLAYNAME']); 

        $HTML->SetSeitenInhalt("Dazu hast du keine Rechte!");
        $HTML->build();
        echo $HTML->ausgabe();
        die();
    }else{
        $HTML = new HTML();
        $HTML->setHTMLTitle("Benutzer");
        $HTML->importHTML("style/default/dashboard.html");
        
        $HTML->ReplaceLayoutInhalt("%%USERNAME%%", $_SESSION['DISPLAYNAME']); 
        $HTML->importSeitenInhalt("pages/HTML/deine-regionen.html");
    
        $table = '<table class="table"><thead><tr><th scope="col">Vorname</th><th scope="col">Nachname</th><th scope="col">Status</th><th scope="col">Aktionen</th></thead><tbody>%%ENTRY%%</tbody></table>';
        
        $statement = $RUNTIME['PDO']->prepare("SELECT * FROM UserAccounts ORDER BY Created ASC");
        $statement->execute(); 
    
        while($row = $statement->fetch()) 
        {
            $entry = '<tr><td>'.$row['FirstName'].'</td><td>'.$row['LastName'].'</td><td>'.$row['UserLevel'].'</td><td>PASSWORT ÄNDERN | SPERREN | UMBENENNEN</td></tr>';
            $table = str_replace("%%ENTRY%%", $entry."%%ENTRY%%", $table);
        }
    
        $table = str_replace("%%ENTRY%%", "", $table);
        $HTML->ReplaceSeitenInhalt("%%REGION-LIST%%", $table);
    
        $HTML->build();
        echo $HTML->ausgabe();
    }
?>